Add highlight and selection feature for query result table for Query.Wikidata.org
Closed, ResolvedPublic

Description

Currently, users can only use tab or arrow up/arrow down to move between links inside the query result table in https://query.wikidata.org. It would be nice to add a feature allowing users to move inside the result table using arrow up/down/left/right or click the cell just like in spreadsheet software like Excel or Google Docs. The user can press enter to open the link in the cell, or press Ctrl+C to copy the text in the cell.

It could be something like this: https://jsfiddle.net/rh5aoxsL/

Related Objects

eflyjason reassigned this task from eflyjason to Anpans.Jan 8 2018, 12:05 PM

Change 401808 had a related patch set uploaded (by Anpans; owner: Anpans):
[wikidata/query/gui@master] Add highlight and selection feature for query result table

https://gerrit.wikimedia.org/r/401808

Change 401808 merged by jenkins-bot:
[wikidata/query/gui@master] Add highlight and selection feature for query result table

https://gerrit.wikimedia.org/r/401808

Jonas moved this task from Backlog to Done on the Wikidata Query UI board.Jan 16 2018, 7:48 PM
Smalyshev triaged this task as Normal priority.Feb 12 2018, 7:44 AM
Smalyshev closed this task as Resolved.